NPM-ROOT(1)

NAME
npm-root - Display npm root

  Synopsis

    npm root

  Description

Print the effective node_modules folder to standard out.

Useful for using npm in shell scripts that do things with the node_modules folder. For example:

    #!/bin/bash
    global_node_modules="$(npm root --global)"
    echo "Global packages installed in: ${global_node_modules}"

  Configuration

  global

    •   Default: false

    •   Type: Boolean

Operates in "global" mode, so that packages are installed into the prefix folder instead of the current working directory. See npm help folders for more on the differences in behavior.

    •   packages are installed into the {prefix}/lib/node_modules folder, instead of the current working directory.

    •   bin files are linked to {prefix}/bin

    •   man pages are linked to {prefix}/share/man

  See Also

    •   npm help prefix

    •   npm help bin

    •   npm help folders

    •   npm help config

    •   npm help npmrc